Skip to main content
POST
/
segment
/
contact
/
list?id=
{id}
cURL
curl --request POST \
  --url 'https://api.precallai.com/api/v1/segment/contact/list?id={id}' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.precallai.com/api/v1/segment/contact/list?id={id}"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.precallai.com/api/v1/segment/contact/list?id={id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "description": "<string>",
    "phone": "<string>",
    "sync_by": "<string>",
    "id": "<string>"
  }
]
{
  "error": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The ID of the segment to get contacts

Response

Segment contacts response

first_name
string

First name

last_name
string

Last name

email
string

Email

description
string

Description

phone
string

phone number

sync_by
string

Sync by

id
string

Id